MyProject/src/beans/BuyDataBeans.java
package beans;
import java.io.Serializable;
import java.sql.Timestamp;
import java.text.SimpleDateFormat;
import java.util.Date;

public class BuyDataBeans  implements Serializable {
	private int id;
	private int userId;
	private int totalPrice;
	private int delivertMethodId;
	private Date buyDate;

	private String deliveryMethodName;
	private int deliveryMethodPrice;

	private int buyId;
	private int itemId;
	private String name;
	private int price;

	public BuyDataBeans(int id2, int totalPrice, Date buyDate2, int deliveryMethodId, int userId1,
			int deliveryMethodPrice2, String deliveryMethodName2) {
		this.id = id2;
		this.totalPrice = totalPrice;
		this.buyDate = buyDate2;
		this.delivertMethodId = deliveryMethodId;
		this.userId = userId1;
		this.deliveryMethodPrice = deliveryMethodPrice2;
		this.deliveryMethodName = deliveryMethodName2;

	}

	public BuyDataBeans(int id2, int buyId2, int totalPrice2, Timestamp buyDate2, int deliveryMethodId, int userId1,
			int deliveryMethodPrice2, String deliveryMethodName2) {
		this.id = id2;
		this.buyId = buyId2;
		this.totalPrice = totalPrice2;
		this.buyDate = buyDate2;
		this.delivertMethodId = deliveryMethodId;
		this.userId = userId1;
		this.deliveryMethodPrice = deliveryMethodPrice2;
		this.deliveryMethodName = deliveryMethodName2;
	}

	public BuyDataBeans() {
		// TODO 自動生成されたコンストラクター・スタブ
	}
	public BuyDataBeans(int id2, int buyId, int itemId, String name, int price) {
		this.id = id2;
		this.buyId = buyId;
		this.itemId = itemId;
		this.name = name;
		this.price = price;
	}

	public int getBuyId() {
		return buyId;
	}
	public void setBuyId(int buyId) {
		this.buyId = buyId;
	}
	public int getItemId() {
		return itemId;
	}
	public void setItemId(int itemId) {
		this.itemId = itemId;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public int getPrice() {
		return price;
	}
	public void setPrice(int price) {
		this.price = price;
	}
	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public int getUserId() {
		return userId;
	}
	public void setUserId(int userId) {
		this.userId = userId;
	}
	public int getTotalPrice() {
		return totalPrice;
	}
	public void setTotalPrice(int totalPrice) {
		this.totalPrice = totalPrice;
	}


	public int getDelivertMethodId() {
		return delivertMethodId;
	}
	public void setDelivertMethodId(int delivertMethodId) {
		this.delivertMethodId = delivertMethodId;
	}
	public Date getBuyDate() {
		return buyDate;
	}
	public void setBuyDate(Date buyDate) {
		this.buyDate = buyDate;
	}
	public String getDeliveryMethodName() {
		return deliveryMethodName;
	}
	public void setDeliveryMethodName(String deliveryMethodName) {
		this.deliveryMethodName = deliveryMethodName;
	}

	public String getFormatDate() {
		SimpleDateFormat sdf = new SimpleDateFormat("yyyy年MM月dd日HH時mm分");
		return sdf.format(buyDate);
	}
	public String getFormatTotalPrice() {
		return String.format("%,d", this.totalPrice);
	}
	public int getDeliveryMethodPrice() {
		return deliveryMethodPrice;
	}
	public void setDeliveryMethodPrice(int deliveryMethodPrice) {
		this.deliveryMethodPrice = deliveryMethodPrice;
	}



}

MyProject/src/beans/ItemDataBeans.java
package beans;
import java.io.Serializable;

public class ItemDataBeans implements Serializable {
	private int id;
	private String name;
	private String detail;
	private int price;
	private String fileName;
	private int tagId;
	private String tag;
	private String saki;
	private String ato;

	public ItemDataBeans(String name2, int price2) {
		this.name = name2;
		this.price = price2;
		}

	public ItemDataBeans() {
		// TODO 自動生成されたコンストラクター・スタブ
	}

	public ItemDataBeans(int id2, String name2, String detail2, int price2, String file_name, int tag_id, String tag) {
		this.id = id2;
		this.name = name2;
		this.detail = detail2;
		this.price = price2;
		this.fileName = file_name;
		this.tagId = tag_id;
		this.tag = tag;
	}

	public ItemDataBeans(int id2, String name2, String detail2, int price2, String file_name, int tag_id) {
		this.id = id2;
		this.name = name2;
		this.detail = detail2;
		this.price = price2;
		this.fileName = file_name;
		this.tagId = tag_id;
	}

	public ItemDataBeans(int id3, String name1, String FP, String TP) {
		this.id = id3;
		this.name = name1;
		this.saki = FP;
		this.ato = TP;
	}

	public int getId() {
		return id;
	}
	public void setId(int itemId) {
		this.id = itemId;
	}
	public String getName() {
		return name;
	}
	public void setName(String itemName) {
		this.name = itemName;
	}
	public String getDetail() {
		return detail;
	}
	public void setDetail(String detail) {
		this.detail = detail;
	}
	public int getPrice() {
		return price;
	}
	public void setPrice(int itemPrice) {
		this.price = itemPrice;
	}
	public String getFileName() {
		return fileName;
	}
	public void setFileName(String filename) {
		this.fileName = filename;
	}
	public String getFormatPrice() {
		return String.format("%,d", this.price);
	}


	public int getTagId() {
		return tagId;
	}

	public void setTagId(int tagId) {
		this.tagId = tagId;
	}

	public String getTag() {
		return tag;
	}

	public void setTag(String tag) {
		this.tag = tag;
	}

	public String getSaki() {
		return saki;
	}

	public void setSaki(String saki) {
		this.saki = saki;
	}

	public String getAto() {
		return ato;
	}

	public void setAto(String ato) {
		this.ato = ato;
	}


}

MyProject/src/beans/UserDataBeans.java
package beans;
import java.io.Serializable;

public class UserDataBeans implements Serializable {
	private String name;
	private String address;
	private String loginId;
	private String password;
	private int id;
	private String createDate;
	private String updateDate;

	// コンストラクタ
	public UserDataBeans() {
		this.name = "";
		this.address = "";
		this.loginId = "";
		this.password = "";
		this.createDate = "";
		this.updateDate = "";
	}

	public UserDataBeans(int id, String name, String address, String loginId, String password, String createDate,
			String updateDate) {
		this.id = id;
		this.name = name;
		this.address = address;
		this.loginId = loginId;
		this.password = password;
		this.createDate = createDate;
		this.updateDate = updateDate;
	}

	public UserDataBeans(String loginIdData, String loginPassword, String addressdata) {
		this.loginId = loginIdData;
		this.password = loginPassword;
		this.address = addressdata;
	}


	public UserDataBeans(String loginId2, String name2) {
		this.loginId = loginId2;
		this.name = name2;
	}

	public UserDataBeans(String loginIdData, String loginPassword, String addressdata, int iddate, String createdate2,
			String updatedate2, String name2) {
		this.loginId = loginIdData;
		this.password = loginPassword;
		this.address = addressdata;
		this.id = iddate;
		this.createDate = createdate2;
		this.updateDate = updatedate2;
		this.name = name2;
	}

	public UserDataBeans(String loginIdData) {
		this.loginId = loginIdData;
	}

	public String getCreateDate() {
		return createDate;
	}

	public void setCreateDate(String createDate) {
		this.createDate = createDate;
	}

	public String getUpdateDate() {
		return updateDate;
	}

	public void setUpdateDate(String updateDate) {
		this.updateDate = updateDate;
	}

	public void findBySentakuInfo(int id1) {
		this.id = id1;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public String getLoginId() {
		return loginId;
	}

	public void setLoginId(String loginId) {
		this.loginId = loginId;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	/**
	 * ユーザー情報更新時の必要情報をまとめてセットするための処理
	 *
	 * @param name
	 * @param loginId
	 * @param address
	 */
	public void setUpdateUserDataBeansInfo(String name, String loginId, String address, int id) {
		this.name = name;
		this.loginId = loginId;
		this.address = address;
		this.id = id;
	}

}

MyProject/src/UserManagement/LogOutServlet.java
package UserManagement;
import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

/**
 * Servlet implementation class LogOutServlet
 */
@WebServlet("/LogOutServlet")
public class LogOutServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public LogOutServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

		HttpSession session = request.getSession();
		session.removeAttribute("userInfo");

		response.sendRedirect("LoginServlet");

	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
	}

}

MyProject/src/UserManagement/LoginServlet.java
package UserManagement;
import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import beans.UserDataBeans;
import dao.UserDAO;

/**
 * Servlet implementation class LoginServlet
 */
@WebServlet("/LoginServlet")
public class LoginServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
		// TODO Auto-generated method stub

//		HttpSession session = request.getSession();
//		if(session.getAttribute("userId") != null) {
//			response.sendRedirect("UserListServlet");
//			return;}

		//フォワード
		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/um/Login.jsp");
		dispatcher.forward(request, response);
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
		request.setCharacterEncoding("UTF-8");
		HttpSession session = request.getSession();

	try {
		String loginId = request.getParameter("loginId");
		String password = request.getParameter("password");

		 UserDAO userDao = new UserDAO();
		  UserDataBeans user = userDao.findByLoginInfo2(loginId, password);

		  if(user==null) {
			  request.setAttribute("errMsg", "ログインに失敗しました。");

			  RequestDispatcher dispatcher = request.getRequestDispatcher("WEB-INF/jsp/um/Login.jsp");
			  dispatcher.forward(request, response);
			  return;
		  }

		  session.setAttribute("userInfo", user);

		  response.sendRedirect("UserListServlet");

	 } catch (Exception e) {
			e.printStackTrace();
			session.setAttribute("errorMessage", e.toString());
			response.sendRedirect("Error");
		}


	 }
}

MyProject/WebContent/WEB-INF/jsp/ec/SearchResult.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">

<title>Saboten</title>
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
	integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
	crossorigin="anonymous">
<link href="https://fonts.googleapis.com/icon?family=Material+Icons"
	rel="stylesheet">
<link href="css/stylesheet.css" rel="stylesheet" type="text/css" />

</head>
<body>

	<!-- header -->
	<jsp:include page="/baselayout/header.jsp" />
	<!-- /header -->

	<p style="margin: 50px;"></p>

	<div class="container">
		<div class="row">

			<div id="side" class="col-sm-2">
				<div class="p-3">
					<h4 class="font-italic">カテゴリ</h4>
					<c:forEach var="item3" items="${itemList3}" >
					<ol class="list-unstyled mb-0">
						<li><a href="Tag?id=${item3.id}"><font color=#488484>${item3.tag}</font></a></li>
					</ol>
					</c:forEach>
				</div>
			</div>
				<div class="col-sm-10">
					<div class="row">
						<div class="col-md-8 blog-main">
							<h3 class="pb-3 mb-4 font-italic border-bottom">検索結果</h3><p>検索結果${itemCount}件</p>
						</div>
					</div>
			<div class="row">
				<c:forEach var="item2" items="${itemList2}">
				<div class="col-sm-4">
					<div class="card mb-4 shadow-sm">
						<div class="card-image">
							<a href="Item?item_id=${item2.id}"><img src="image/${item2.fileName}"width="285px" height="150px" border="4px"></a>
						</div>
						<div class="card-content">
							<p class="card-title" align="center">${item2.name}</p>
							<p align="center">${item2.formatPrice}円
							</p>
						</div>
					</div>
				</div>
				<c:if test="${(status.index + 1) % 4 == 0}">
			</div>
			<div class="row">
				</c:if>
				</c:forEach>
			</div>　

			<div class="row" align="center">
			<ul class="pagination">
				<!-- １ページ戻るボタン  -->
				<c:choose>
					<c:when test="${pageNum == 1}">
						<li class="disabled"><a><i class="material-icons">chevron_left</i></a></li>
					</c:when>
					<c:otherwise>
						<li class="waves-effect"><a href="ItemSearchResult?search_word=${searchWord}&page_num=${pageNum - 1}"><i class="material-icons">chevron_left</i></a></li>
					</c:otherwise>
				</c:choose>

				<!-- ページインデックス -->
				<c:forEach begin="${(pageNum - 5) > 0 ? pageNum - 5 : 1}" end="${(pageNum + 5) > pageMax ? pageMax : pageNum + 5}" step="1" varStatus="status">
					<li <c:if test="${pageNum == status.index }"> class="active" </c:if>><a href="ItemSearchResult?search_word=${searchWord}&page_num=${status.index}">${status.index}</a></li>
				</c:forEach>

				<!-- 1ページ送るボタン -->
				<c:choose>
				<c:when test="${pageNum == pageMax || pageMax == 0}">
					<li class="disabled"><a><i class="material-icons">chevron_right</i></a></li>
				</c:when>
				<c:otherwise>
					<li class="waves-effect"><a href="SearchResult?search_word=${searchWord}&page_num=${pageNum + 1}"><i class="material-icons">chevron_right</i></a></li>
				</c:otherwise>
				</c:choose>
			</ul>
		</div>
	</div>
</div>
</div>

	<!-- footer -->
<blockquote class="blockquote text-right">
  <footer class="blockquote-footer">Made by <cite title="Source Title">坂本 陽</cite></footer>
</blockquote>
	<!-- /footer -->
</body>
</html>

MyProject/WebContent/WEB-INF/jsp/ec/buy.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>購入</title>
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
	integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
	crossorigin="anonymous">
<link href="https://fonts.googleapis.com/icon?family=Material+Icons"
	rel="stylesheet">
<link href="css/stylesheet.css" rel="stylesheet" type="text/css" />
</head>
<body>
<!-- header -->
	<jsp:include page="/baselayout/header.jsp" />
<!-- /header -->
<div class="container">
	<br>
	<br>
	<div align="center">
		<h3>カートアイテム</h3>
	</div>
	<br>

<form action="BuyConfirm" method="POST">
<div class="album py-5 bg-light">
		<table class="table">
  <thead>
    <tr>
      <th class="center" style="width: 40%;text-align:center;">商品名</th>
      <th class="center" style="text-align:center;">単価</th>
      <th class="center" style="width: 20%;text-align:center;">小計</th>
    </tr>
  </thead>
  <tbody>
  <c:forEach var="cartInItem" items="${cart}" >
    <tr>
      	<td align="center">${cartInItem.name}</td>
		<td align="center">${cartInItem.formatPrice}円</td>
		<td align="center">${cartInItem.formatPrice}円</td>
    </tr>
  </c:forEach>
    <tr>
      <th scope="row"></th>
					<td class="center"></td>
					<td class="center">
				配送方法<div class="input-field col s8 offset-s2">
							<select name="delivery_method_id">
							<c:forEach var="dmdb" items="${dmdbList}" >
								<option value="${dmdb.id}">${dmdb.name}</option>
							</c:forEach>
							</select>
						</div>
					</td>
				</tr>
  </tbody>
</table>
			<div class="row">
				<div class="col s12" align="center">
					<button class="btn  btn-outline-success" type="submit" name="action">購入確認</button>
				</div>
			</div>
</div>
</form>
</div>
<!-- footer -->
<blockquote class="blockquote text-right">
  <footer class="blockquote-footer">Made by <cite title="Source Title">坂本 陽</cite></footer>
</blockquote>
<!-- /footer -->
</body>
</html>

MyProject/WebContent/WEB-INF/jsp/ec/buyresult.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%><!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">

<title>購入完了</title>
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
	integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
	crossorigin="anonymous">
<link href="https://fonts.googleapis.com/icon?family=Material+Icons"
	rel="stylesheet">
<link href="css/stylesheet.css" rel="stylesheet" type="text/css" />
</head>
	<!-- header -->
	<jsp:include page="/baselayout/header.jsp" />
	<!-- /header -->
</head>
<body>
	<div class="container">
		<br> <br>
		<div class="text-center mb-4">
			<h3>購入完了</h3>
		</div>
<div class="row">
			<div class="col-6 " style="text-align:center;">
				<a href="Index" class="btn btn-outline-success">買い物を続ける</a>
			</div>
			<div class="col-6" style="text-align:center;">
				<a href="UserData" class="btn btn-outline-success">ユーザー情報へ</a>
			</div>
		</div>
		<br>
		<div class="text-center mb-4">
			<h3>購入詳細</h3>
		</div>
	</div>
		<br>
	<div class="album py-5 bg-light col-6" style="margin-left:auto; margin-right:auto">
		<table class="table">
			<thead>
				<tr>
					<th class="center" style="width:500px;text-align:center;">購入日時</th>
					<th class="center" style="text-align:center;">配送方法</th>
					<th class="center" style="text-align:center;">合計金額</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td style="text-align:center;">${resultBDB.formatDate}</td>
					<td style="text-align:center;">${resultBDB.deliveryMethodName}</td>
					<td style="text-align:center;">${resultBDB.formatTotalPrice}円</td>
				</tr>
		    </tbody>
		</table>
	</div>
<br>
<br>
	<div class="album py-5 bg-light col-6" style="margin-left:auto; margin-right:auto">
		<table class="table">
			<thead>
				<tr>
					<th class="center" style="width:500px;text-align:center;">商品名</th>
					<th class="center" style="text-align:center;">単価</th>
				</tr>
			</thead>
			<tbody>
			<c:forEach var="buyIDB" items="${buyIDBList}" >
				<tr>
					<td style="text-align:center;">${buyIDB.name}</td>
					<td style="text-align:center;">${buyIDB.formatPrice}円</td>
				</tr>
			</c:forEach>
				<tr>
					<td style="text-align:center;">${resultBDB.deliveryMethodName}</td>
					<td style="text-align:center;">${resultBDB.deliveryMethodPrice}円</td>
				</tr>
			</tbody>
		</table>
	</div>
	<!-- footer -->
<blockquote class="blockquote text-right">
  <footer class="blockquote-footer">Made by 坂本 陽</cite></footer>
</blockquote>
	<!-- /footer -->
</body>
</html>

MyProject/WebContent/WEB-INF/jsp/ec/cart.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">

<title>買い物かご</title>
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
	integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
	crossorigin="anonymous">
<link href="https://fonts.googleapis.com/icon?family=Material+Icons"
	rel="stylesheet">
<link href="css/stylesheet.css" rel="stylesheet" type="text/css" />
</head>
<body>
	<!-- header -->
	<jsp:include page="/baselayout/header.jsp" />
	<!-- /header -->

<div class="container">
	<div class="row center">
			${cartActionMessage}
	</div>
	<div class="text-center mb-4">
		<h3>買い物かご</h3>
	</div>
<form action="ItemDelete" method="POST">
		<div class="row">
			<div class="col-6"align="center">
				<button class="btn btn btn-outline-primary"
					type="submit" name="action">
					　削除　
				</button>
			</div>
			<div class="col-6"align="center">
				<a href="Buy" class="btn btn btn-outline-success">
					レジに進む
				</a>
			</div>
		</div>
<br>
  <div class="album py-5 bg-light">
    <div class="container">


      <div class="row">
      <c:forEach var="item" items="${cart}" varStatus="status">
        <div class="col-md-4">
          <div class="card mb-4 shadow-sm">
            <a href="Item?item_id=${item.id}"><img src="image/${item.fileName}"
            width="338px" height="200px" border="4px" alt="saboten1"></a>
            <div class="card-body">
              <p class="card-text">${item.name}</p>
              <p class="card-price">${item.formatPrice}円</p>
              <div class="d-flex justify-content-between align-items-center">
                <div class="custom-control custom-switch">
				  <input type="checkbox" class="custom-control-input" id="${status.index}" name="delete_item_id_list" value="${item.id}">
				  <label class="custom-control-label" for="${status.index}">削除</label>
				</div>
              </div>
            </div>
          </div>
        </div>
        </c:forEach>
	   </div>
	   </form>
	  </div>
<!-- footer -->
<blockquote class="blockquote text-right">
  <footer class="blockquote-footer">Made by <cite title="Source Title">坂本 陽</cite></footer>
</blockquote>
<!-- /footer -->
</body>
</html>

MyProject/WebContent/WEB-INF/jsp/ec/userbuyhistorydetail.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">

<title>ユーザー購入履歴</title>
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
	integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
	crossorigin="anonymous">
<link href="https://fonts.googleapis.com/icon?family=Material+Icons"
	rel="stylesheet">
<link href="css/stylesheet.css" rel="stylesheet" type="text/css" />
</head>

	<!-- header -->
	<jsp:include page="/baselayout/header.jsp" />
	<!-- /header -->

<body>
<br> <br>
	<div class="container">
		<div class="text-center mb-4">
			<h3>ユーザー情報</h3>
		</div>
	</div>
<br> <br>
	<div class="album py-5 bg-light col-6" style="margin-left:auto; margin-right:auto">
		<table class="table">
			<thead>
				<tr>
					<th class="center" style="width:500px;text-align:center;">購入日時</th>
					<th class="center" style="text-align:center;">配送方法</th>
					<th class="center" style="text-align:center;">合計金額</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td style="text-align:center;">${buy.formatDate}</td>
					<td style="text-align:center;">${buy.deliveryMethodName}</td>
					<td style="text-align:center;">${buy.formatTotalPrice}円</td>
				</tr>
								<tr>
					<td></td>
					<td></td>
					<td></td>
				</tr>
		    </tbody>
		</table>
	</div>
<br>
<br><br>
	<div class="album py-5 bg-light col-6" style="margin-left:auto; margin-right:auto">
		<table class="table">
			<thead>
				<tr>
					<th class="center" style="width:700px;text-align:center;">商品名</th>
					<th class="center" style="text-align:center;">単価</th>
				</tr>
			</thead>
			<tbody>
			<c:forEach var="buy3" items="${buyList3}" >
				<tr>
					<td style="text-align:center;">${buy3.name}</td>
					<td style="text-align:center;">${buy3.formatPrice}円</td>
				</tr>
			</c:forEach>
				<tr>
					<td style="text-align:center;">${buy.deliveryMethodName}</td>
					<td style="text-align:center;">${buy.deliveryMethodPrice}円</td>
				</tr>
			</tbody>
		</table>
	</div>
	</div>
</body>
</html>